+++
title = "Ametrine"
[extra]
no_header = true
+++

<img id="logo" class="transparent drop-shadow" src="logo.svg" alt="VTuber-style Ametrine logo.">

<div class="buttons centered big">
  <a href="https://codeberg.org/daudix/ametrine">Repository →</a>
</div>

***

{% alert(caution=true) %}
Ametrine is currently in the pre-alpha state and SHOULD NOT be used in production, it is far from being ready.
{% end %}

[Ametrine](https://en.wikipedia.org/wiki/Ametrine) is a "one of a kind" [Zola](https://www.getzola.org) theme made specifically for personal websites and blogs. It provides good defaults and easy configuration, while being powerful on demand. Its design is unique and made with great care and attention to details, it changes from time to time, and the development pace is rather rapid.

Some of Ametrine's features:

- Handwritten CSS (Sass); no Tailwind, React, or anything like that.
- No essential JavaScript; pop-ups, sidebars, and such will work just fine without it.
- Relatively lightweight, weights under 512kB.
- Uses modern CSS.
- Includes Monokai Pro theme for syntax highlighting out of the box.
- Will make you regret using this theme.

## What Is This Again

This is a theme for the [Zola](https://www.getzola.org) static site generator; thingy that converts [Markdown](https://www.markdownguide.org) files (which is used by Reddit, Tumblr, Discord, any many others) into a fully functional websites. Zola cannot build websites without a set of templates and styles, and this theme is exactly that. Ametrine also provides some custom functionality that is not present in Zola, such as Mastodon-powered comments, various useful shortcodes for simplifying various tasks, and more.

You can learn more about Zola and its themes at <https://www.getzola.org>.

## Installation

{% alert(caution=true) %}
Ametrine is currently in the pre-alpha state and SHOULD NOT be used in production, it is far from being ready.
{% end %}

If you have Git set up in your project, add Ametrine as a submodule:

```bash
git submodule init
git submodule add https://codeberg.org/daudix/ametrine.git themes/ametrine
```

{% alert(important=true) %}
It is highly recommended to switch from the `main` branch to the latest release:
{% end %}

```bash
cd themes/ametrine
git checkout tags/v0.1.0 # There is currently no tagged release
```

Then, enable Ametrine in your `config.toml`:

```toml
theme = "ametrine"
```

To update Ametrine, simply switch to a new tag:

{% alert(important=true) %}
Check the changelog for all versions after the one you are using; there may be breaking changes that require manual involvement.
{% end %}

```bash
git submodule update --remote --merge
cd themes/ametrine
git checkout tags/v0.1.0
```

## Why It Looks the Way It Does

Personally, I'm sick of flat, sterile, dead UIs all over the place, and I've always liked skeuomorphism because it's fun, alive, and pleasant to look at. While it's not very feasible to make things look overly realistic, some edge highlights, nice shadows, and a vibrant palette make a big difference. The design system that Ametrine uses is made of slightly frosted colored acrylic, everything is rounded, but the edges are not so rounded, so the edge highlight is rather thin, you can think of it as Lego bricks, fun and nice to touch. The animations are very bouncy to raise the fun level even higher. Still, the balance between fun and not being annoying is maintained. Did I succeed with this premise? I don't know, you tell me :P

## To-Do

Right now Ametrine is not ready to be used in production and is in active development, here's a short roadmap of features that need to be added and things to be done before the initial release:

- [x] Make sure everything looks nice on mobile
- [x] Add i18n support
- [x] Ensure good compatibility with iOS 15, and perhaps lower
- [x] Remove leftover unused code from [Duckquill](https://duckquill.daudix.one)
- [ ] Support custom analytics scripts
- [ ] Add some utility classes
- [ ] Simplify and optimize some logic in the templates
- [ ] Organize Sass files
- [ ] Write good documentation
- [ ] Credit all the stuff that needs to be credited

<style>
  #logo {
    width: min(calc(var(--container-width) / 2), 100%);
  }

  #logo:hover {
    transform: var(--hover) rotate(-5deg);
  }
</style>
